NIST_DRBG::Err Class Reference

Exception thrown when a NIST DRBG encounters an error. More...

`#include <drbg.h>`

Inheritance diagram for NIST_DRBG::Err:

## Public Member Functions

| Err (const std::string &c, const std::string &m)
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Additional Inherited Members

Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED , INVALID_ARGUMENT , CANNOT_FLUSH , DATA_INTEGRITY_CHECK_FAILED , INVALID_DATA_FORMAT , IO_ERROR , OTHER_ERROR }
| Error types or categories. More...

## Detailed Description

Exception thrown when a NIST DRBG encounters an error.

Definition at line 30 of file drbg.h.

## Constructor & Destructor Documentation

## Err()

NIST_DRBG::Err::Err | ( | const std::string & | c,
|  | const std::string & | m
| ) |  |

inline explicit

Definition at line 33 of file drbg.h.

The documentation for this class was generated from the following file:

- drbg.h